summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andre Fernando <ando344@gmail.com>2016-12-15 13:31:43 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-12-17 06:55:49 +0700
commit795577c257e02a4adba3816733ab5ee9a47ceea7 (patch)
tree1ff49c1625c2e0b79801e7c3654c33f03347e62b
parent08a3def83cbc241a627ef95d777b2b52b626627d (diff)
downloadslackbuilds-795577c257e02a4adba3816733ab5ee9a47ceea7.tar.gz
slackbuilds-795577c257e02a4adba3816733ab5ee9a47ceea7.tar.xz
desktop/i3blocks: Added (scheduler for i3bar blocks).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--desktop/i3blocks/README8
-rw-r--r--desktop/i3blocks/doinst.sh14
-rw-r--r--desktop/i3blocks/i3blocks.SlackBuild97
-rw-r--r--desktop/i3blocks/i3blocks.info10
-rw-r--r--desktop/i3blocks/patches/prefix_usr.patch11
-rw-r--r--desktop/i3blocks/slack-desc19
6 files changed, 159 insertions, 0 deletions
diff --git a/desktop/i3blocks/README b/desktop/i3blocks/README
new file mode 100644
index 0000000000..dbdc317020
--- /dev/null
+++ b/desktop/i3blocks/README
@@ -0,0 +1,8 @@
+i3blocks (A flexible scheduler for your i3bar blocks)
+
+i3blocks is a highly flexible status line for the i3 window manager.
+It handles clicks, signals and language-agnostic user scripts. The
+content of each block (e.g. time, battery status, network state, ...)
+is the output of a command provided by the user. Blocks are updated
+on click, at a given interval of time or on a given signal,
+also specified by the user.
diff --git a/desktop/i3blocks/doinst.sh b/desktop/i3blocks/doinst.sh
new file mode 100644
index 0000000000..c55a8b33af
--- /dev/null
+++ b/desktop/i3blocks/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/i3blocks.conf.new
diff --git a/desktop/i3blocks/i3blocks.SlackBuild b/desktop/i3blocks/i3blocks.SlackBuild
new file mode 100644
index 0000000000..0dda1d1512
--- /dev/null
+++ b/desktop/i3blocks/i3blocks.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for i3blocks
+
+# Copyright 2016 Andre Fernando, Indonesia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=i3blocks
+VERSION=${VERSION:-1.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+for i in $CWD/patches/* ; do
+ patch -p0 < $i
+done
+
+CFLAGS="$SLKCFLAGS" \
+ make clean all
+
+make install DESTDIR=$PKG
+
+mv $PKG/etc/i3blocks.conf $PKG/etc/i3blocks.conf.new
+
+mv $PKG/usr/share/man $PKG/usr/man
+rmdir $PKG/usr/share
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG.md COPYING README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/i3blocks/i3blocks.info b/desktop/i3blocks/i3blocks.info
new file mode 100644
index 0000000000..5db64a401b
--- /dev/null
+++ b/desktop/i3blocks/i3blocks.info
@@ -0,0 +1,10 @@
+PRGNAM="i3blocks"
+VERSION="1.4"
+HOMEPAGE="http://vivien.github.io/i3blocks"
+DOWNLOAD="https://github.com/vivien/i3blocks/releases/download/1.4/i3blocks-1.4.tar.gz"
+MD5SUM="27329578aed80dc716e3391d675967a4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="pandoc"
+MAINTAINER="Andre Fernando"
+EMAIL="ando344@gmail.com"
diff --git a/desktop/i3blocks/patches/prefix_usr.patch b/desktop/i3blocks/patches/prefix_usr.patch
new file mode 100644
index 0000000000..0c172cc561
--- /dev/null
+++ b/desktop/i3blocks/patches/prefix_usr.patch
@@ -0,0 +1,11 @@
+--- Makefile 2016-12-12 19:18:05.357761324 +0700
++++ prefix_usr 2016-12-12 19:18:42.467759669 +0700
+@@ -1,7 +1,7 @@
+ RELEASE_VERSION = 1.4
+
+ ifndef PREFIX
+- PREFIX=/usr/local
++ PREFIX=/usr
+ endif
+ ifndef SYSCONFDIR
+ ifeq ($(PREFIX),/usr)
diff --git a/desktop/i3blocks/slack-desc b/desktop/i3blocks/slack-desc
new file mode 100644
index 0000000000..3ef9aed796
--- /dev/null
+++ b/desktop/i3blocks/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+i3blocks: i3blocks (A flexible scheduler for your i3bar blocks)
+i3blocks:
+i3blocks: i3blocks is a highly flexible status line for the i3 window manager.
+i3blocks: It handles clicks, signals and language-agnostic user scripts. The
+i3blocks: content of each block (e.g. time, battery status, network state, ...)
+i3blocks: is the output of a command provided by the user. Blocks are updated
+i3blocks: on click, at a given interval of time or on a given signal,
+i3blocks: also specified by the user.
+i3blocks:
+i3blocks: Homepage: http://vivien.github.io/i3blocks
+i3blocks: